(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26373,        815]
NotebookOptionsPosition[     22736,        697]
NotebookOutlinePosition[     24531,        746]
CellTagsIndexPosition[     24446,        741]
WindowTitle->MBgetCovariants - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 StyleBox[ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:guide/Mathematica"],
  FontSlant->"Italic"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["MODELBUILDING PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"TutorialA4.nb\"\>":>
       Documentation`HelpLookup[
        If[
         StringMatchQ[
          StringReplace[{
            FrontEnd`FileName[{
              ParentDirectory[
               ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
             CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""], 
          "paclet*"], 
         Part[
          Part[{{"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1],
            2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"MBgetFlavonPotential, \"\>":>
       Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBgetFlavonPotential.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBgetFlavonPotential, ", {
             "MBgetFlavonPotential.nb", None}}, {
            "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 1], 
          2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBgetFlavonPotential, ", {
              "MBgetFlavonPotential.nb", None}}, {
             "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 1], 
           2]]]], "\<\"MBsimplifyCovariants\"\>":>Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBsimplifyCovariants.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBgetFlavonPotential, ", {
             "MBgetFlavonPotential.nb", None}}, {
            "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 2], 
          2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBgetFlavonPotential, ", {
              "MBgetFlavonPotential.nb", None}}, {
             "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 2], 
           2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ModelBuilding/ref/MBgetCovariants\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["ModelBuilding/ref/MBgetCovariants"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/ModelBuilding/ref/\
MBgetCovariants.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "ModelBuilding/ref/MBgetCovariants", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["MBgetCovariants", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"MBgetCovariants", "[", 
       RowBox[{"Group", ",", "Reps", ",", "Order"}], "]"}]], "InlineFormula"],
     
     " \[LineSeparator]MBgetCovariants returns all covariants of Reps up to \
order Order using the Clebsch Gordan coefficients of Group. In each step, \
MBgetCovariants applies ",
     ButtonBox["MBsimplifyCovariants",
      BaseStyle->"Hyperlink",
      ButtonData->{"MBsimplifyCovariants.nb", None}],
     " to reduce the number of operators to a minimal independent set."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1022482237],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->1691461016],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->2070045828],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->1395082158],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->639514751],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->1278872887],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->133894568],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->1904398245],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->1938947760],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->1173475221]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Chi]", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "\[Chi]c"}], "]"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->733653939],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 ImageSize->{243, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1310073530]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetCovariants", "[", 
  RowBox[{"A4", ",", "\[Chi]", ",", "3"}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->783630378],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellLabel->"During evaluation of In[7]:=",
 CellID->655990039],

Cell[BoxData["3"], "Print",
 CellLabel->"During evaluation of In[7]:=",
 CellID->221345380]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[Chi]c1", "2"], "+", 
         SuperscriptBox["\[Chi]c2", "2"], "+", 
         SuperscriptBox["\[Chi]c3", "2"]}], 
        SqrtBox["3"]], "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", "6"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["\[Chi]c1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", "6"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["\[Chi]c1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Chi]c2", " ", "\[Chi]c3"}], ",", 
        RowBox[{"\[Chi]c1", " ", "\[Chi]c3"}], ",", 
        RowBox[{"\[Chi]c1", " ", "\[Chi]c2"}]}], "}"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\[Chi]c1", " ", "\[Chi]c2", " ", "\[Chi]c3"}], "}"}], "}"}], 
     ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Chi]c1", " ", 
          SuperscriptBox["\[Chi]c2", "2"]}], ",", 
         RowBox[{"\[Chi]c2", " ", 
          SuperscriptBox["\[Chi]c3", "2"]}], ",", 
         RowBox[{
          SuperscriptBox["\[Chi]c1", "2"], " ", "\[Chi]c3"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Chi]c1", " ", 
          SuperscriptBox["\[Chi]c3", "2"]}], ",", 
         RowBox[{
          SuperscriptBox["\[Chi]c1", "2"], " ", "\[Chi]c2"}], ",", 
         RowBox[{
          SuperscriptBox["\[Chi]c2", "2"], " ", "\[Chi]c3"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"\[Chi]c1", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[Chi]c1", "2"], "+", 
             SuperscriptBox["\[Chi]c2", "2"], "+", 
             SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], 
          SqrtBox["3"]], ",", 
         FractionBox[
          RowBox[{"\[Chi]c2", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[Chi]c1", "2"], "+", 
             SuperscriptBox["\[Chi]c2", "2"], "+", 
             SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], 
          SqrtBox["3"]], ",", 
         FractionBox[
          RowBox[{"\[Chi]c3", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[Chi]c1", "2"], "+", 
             SuperscriptBox["\[Chi]c2", "2"], "+", 
             SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], 
          SqrtBox["3"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c1", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c1", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}]}], "}"}]}], "}"}]}],
     "}"}]}], "}"}]], "Output",
 ImageSize->{494, 427},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->657735302]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 StyleBox[ButtonBox["MBgetFlavonPotential, ",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBgetFlavonPotential.nb", None}],
  FontFamily->"Verdana"],
 StyleBox[ButtonBox["MBsimplifyCovariants",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBsimplifyCovariants.nb", None}],
  FontFamily->"Verdana"]
}], "SeeAlso",
 CellID->1165703714]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->1908401893],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellID->1440733233]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"MBgetCovariants - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2011, 11, 8, 11, 24, 30.966354}", "context" -> 
    "ModelBuilding`", "keywords" -> {}, "index" -> True, "label" -> 
    "ModelBuilding Paclet Symbol", "language" -> "en", "paclet" -> 
    "ModelBuilding", "status" -> "None", "summary" -> 
    "MBgetCovariants[Group, Reps, Order] MBgetCovariants returns all \
covariants of Reps up to order Order using the Clebsch Gordan coefficients of \
Group. In each step, MBgetCovariants applies MBsimplifyCovariants to reduce \
the number of operators to a minimal independent set.", "synonyms" -> {}, 
    "title" -> "MBgetCovariants", "type" -> "Symbol", "uri" -> 
    "ModelBuilding/ref/MBgetCovariants"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Linux x86 (64-bit) (February 23, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6409, 177, 462, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->1022482237]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 24302, 734}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[608, 21, 76, 1, 3, "SymbolColorBar"],
Cell[687, 24, 209, 6, 19, "LinkTrail"],
Cell[899, 32, 4640, 114, 47, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[5564, 150, 58, 1, 53, "ObjectName",
 CellID->1224892054],
Cell[5625, 153, 747, 19, 121, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[6409, 177, 462, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1022482237],
Cell[CellGroupData[{
Cell[6896, 194, 149, 5, 33, "ExampleSection",
 CellID->1691461016],
Cell[7048, 201, 157, 5, 27, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[7230, 210, 183, 6, 27, "Input",
 CellID->2070045828],
Cell[CellGroupData[{
Cell[7438, 220, 147, 3, 23, "Print",
 CellID->1395082158],
Cell[7588, 225, 109, 2, 23, "Print",
 CellID->639514751],
Cell[7700, 229, 306, 7, 58, "Print",
 CellID->1278872887],
Cell[8009, 238, 276, 7, 41, "Print",
 CellID->133894568],
Cell[8288, 247, 283, 7, 41, "Print",
 CellID->1904398245],
Cell[8574, 256, 890, 23, 70, "Print",
 CellID->1938947760],
Cell[9467, 281, 1714, 44, 126, "Print",
 CellID->1173475221]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11230, 331, 179, 5, 27, "Input",
 CellID->733653939],
Cell[11412, 338, 391, 14, 36, "Output",
 CellID->1310073530]
}, Open  ]],
Cell[CellGroupData[{
Cell[11840, 357, 150, 4, 27, "Input",
 CellID->783630378],
Cell[CellGroupData[{
Cell[12015, 365, 91, 2, 23, "Print",
 CellID->655990039],
Cell[12109, 369, 91, 2, 23, "Print",
 CellID->221345380]
}, Open  ]],
Cell[12215, 374, 8882, 257, 448, "Output",
 CellID->657735302]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21158, 638, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[21578, 652, 344, 10, 17, "SeeAlso",
 CellID->1165703714]
}, Open  ]],
Cell[CellGroupData[{
Cell[21959, 667, 420, 12, 45, "TutorialsSection",
 CellID->1908401893],
Cell[22382, 681, 312, 11, 18, "Tutorials",
 CellID->1440733233]
}, Open  ]],
Cell[22709, 695, 23, 0, 42, "FooterCell"]
}
]
*)

(* End of internal cache information *)

