(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23810,        778]
NotebookOptionsPosition[     19136,        623]
NotebookOutlinePosition[     21009,        673]
CellTagsIndexPosition[     20924,        668]
WindowTitle->MBgetFlavonPotential - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 StyleBox[ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:guide/Mathematica"],
  FontSlant->"Italic"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["MODELBUILDING PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"TutorialA4.nb\"\>":>
       Documentation`HelpLookup[
        If[
         StringMatchQ[
          StringReplace[{
            FrontEnd`FileName[{
              ParentDirectory[
               ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
             CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""], 
          "paclet*"], 
         Part[
          Part[{{"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1],
            2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"MBgetCovariants\"\>":>
       Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBgetCovariants.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBgetCovariants", {"MBgetCovariants.nb", None}}, {
            ", ", {"MBgetFlavonPotential.nb", None}}, {
            "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 1], 
          2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBgetCovariants", {"MBgetCovariants.nb", None}}, {
             ", ", {"MBgetFlavonPotential.nb", None}}, {
             "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 1], 
           2]]]], "\<\", \"\>":>Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBgetFlavonPotential.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBgetCovariants", {"MBgetCovariants.nb", None}}, {
            ", ", {"MBgetFlavonPotential.nb", None}}, {
            "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 2], 
          2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBgetCovariants", {"MBgetCovariants.nb", None}}, {
             ", ", {"MBgetFlavonPotential.nb", None}}, {
             "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 2], 
           2]]]], "\<\"MBsimplifyCovariants\"\>":>Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBsimplifyCovariants.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBgetCovariants", {"MBgetCovariants.nb", None}}, {
            ", ", {"MBgetFlavonPotential.nb", None}}, {
            "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 3], 
          2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBgetCovariants", {"MBgetCovariants.nb", None}}, {
             ", ", {"MBgetFlavonPotential.nb", None}}, {
             "MBsimplifyCovariants", {"MBsimplifyCovariants.nb", None}}}, 3], 
           2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ModelBuilding/ref/MBgetInvariants\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["ModelBuilding/ref/MBgetInvariants"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/ModelBuilding/ref/\
MBgetInvariants.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "ModelBuilding/ref/MBgetInvariants", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["MBgetFlavonPotential", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"MBgetFlavonPotential", "[", 
       RowBox[{"Group", ",", "Reps", ",", "Order", ",", "Head"}], "]"}]], 
      "InlineFormula"],
     " \[LineSeparator]MBgetFlavonPotential returns the flavon potential \
formed by Reps up to order Order using the Clebsch Gordan coefficients of \
Group. The prefix of the couplings is Head. ",
     "In each step, MBgetCovariants applies ",
     ButtonBox["MBsimplifyCovariants",
      BaseStyle->"Hyperlink",
      ButtonData->{"MBsimplifyCovariants.nb", None}],
     " to reduce the number of operators to a minimal independent set."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1180340191],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->1473465041],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->2070045828],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellLabel->"During evaluation of In[2]:=",
 CellID->1353426890],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellLabel->"During evaluation of In[2]:=",
 CellID->1376339118],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[2]:=",
 CellID->1838838474],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[2]:=",
 CellID->146324191],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[2]:=",
 CellID->800363985],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[2]:=",
 CellID->1621606042],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[2]:=",
 CellID->574825755]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Chi]", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "\[Chi]c"}], "]"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->733653939],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 ImageSize->{243, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->2026504309]
}, Open  ]],

Cell["\<\
Generally, MBgetFlavonPotential returns the most general flavon potential \
assuming all fields are complex.\
\>", "ExampleText",
 CellID->1837233218],

Cell[CellGroupData[{

Cell[BoxData["$Assumptions"], "Input",
 CellLabel->"In[4]:=",
 CellID->1880393594],

Cell[BoxData["True"], "Output",
 ImageSize->{38, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->144275612]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetFlavonPotential", "[", 
  RowBox[{"A4", ",", "\[Chi]", ",", "3", ",", "\[Lambda]"}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->783630378],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->1950239736],

Cell[BoxData["3"], "Print",
 CellLabel->"During evaluation of In[5]:=",
 CellID->214298282]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"\[ImaginaryI]", " ", "i\[Lambda]3n1"}], "+", "r\[Lambda]3n1"}], 
    ")"}], " ", "\[Chi]c1", " ", "\[Chi]c2", " ", "\[Chi]c3"}], "+", 
  RowBox[{
   FractionBox["1", 
    SqrtBox["3"]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[ImaginaryI]", " ", "i\[Lambda]2n1"}], "+", 
        "r\[Lambda]2n1"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[Chi]c1", "2"], "+", 
        SuperscriptBox["\[Chi]c2", "2"], "+", 
        SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "i\[Lambda]2n1"}], "+", 
        "r\[Lambda]2n1"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "\[Chi]c1", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "\[Chi]c2", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "\[Chi]c3", "]"}], "2"]}], ")"}]}]}], 
    ")"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", "i\[Lambda]3n1"}], "+", 
     "r\[Lambda]3n1"}], ")"}], " ", 
   RowBox[{"Conjugate", "[", 
    RowBox[{"\[Chi]c1", " ", "\[Chi]c2", " ", "\[Chi]c3"}], 
    "]"}]}]}]], "Output",
 ImageSize->{483, 89},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->100988534]
}, Open  ]],

Cell["\<\
Therefore, it is good to explicitly add a declaration to the variable \
$Assumptions, if they are real.\
\>", "ExampleText",
 CellID->943591532],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"$Assumptions", "=", 
  RowBox[{
   RowBox[{"Variables", "[", "\[Chi]", "]"}], "\[Element]", " ", 
   "Reals"}]}]], "Input",
 CellLabel->"In[6]:=",
 CellID->1905502140],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"\[Chi]c1", "|", "\[Chi]c2", "|", "\[Chi]c3"}], ")"}], 
  "\[Element]", "Reals"}]], "Output",
 ImageSize->{183, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->949669179]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetFlavonPotential", "[", 
  RowBox[{"A4", ",", "\[Chi]", ",", "3", ",", "\[Lambda]"}], "]"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->2014319392],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellLabel->"During evaluation of In[7]:=",
 CellID->169051649],

Cell[BoxData["3"], "Print",
 CellLabel->"During evaluation of In[7]:=",
 CellID->2000749286]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Lambda]3n1", " ", "\[Chi]c1", " ", "\[Chi]c2", " ", "\[Chi]c3"}],
   "+", 
  FractionBox[
   RowBox[{"\[Lambda]2n1", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[Chi]c1", "2"], "+", 
      SuperscriptBox["\[Chi]c2", "2"], "+", 
      SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], 
   SqrtBox["3"]]}]], "Output",
 ImageSize->{333, 42},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->1058151153]
}, Open  ]],

Cell["\<\
All couplings, which are defined within MBgetFlavonPotential, are real and \
automatically added to $Assumptions.\
\>", "ExampleText",
 CellID->1969676816],

Cell[CellGroupData[{

Cell[BoxData["$Assumptions"], "Input",
 CellLabel->"In[8]:=",
 CellID->1897714100],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"\[Chi]c1", "|", "\[Chi]c2", "|", "\[Chi]c3"}], ")"}], 
   "\[Element]", "Reals"}], "&&", 
  RowBox[{"\[Lambda]2n1", "\[Element]", "Reals"}], "&&", 
  RowBox[{"\[Lambda]3n1", "\[Element]", "Reals"}]}]], "Output",
 ImageSize->{409, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->925585564]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 StyleBox[ButtonBox["MBgetCovariants",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBgetCovariants.nb", None}],
  FontFamily->"Verdana"],
 StyleBox[ButtonBox[", ",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBgetFlavonPotential.nb", None}],
  FontFamily->"Verdana"],
 StyleBox[ButtonBox["MBsimplifyCovariants",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBsimplifyCovariants.nb", None}],
  FontFamily->"Verdana"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->1908401893],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellID->1440733233]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"MBgetFlavonPotential - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2011, 11, 8, 11, 24, 41.608968}", "context" -> 
    "ModelBuilding`", "keywords" -> {}, "index" -> True, "label" -> 
    "ModelBuilding Paclet Symbol", "language" -> "en", "paclet" -> 
    "ModelBuilding", "status" -> "None", "summary" -> 
    "MBgetFlavonPotential[Group, Reps, Order, Head] MBgetFlavonPotential \
returns the flavon potential formed by Reps up to order Order using the \
Clebsch Gordan coefficients of Group. The prefix of the couplings is Head. In \
each step, MBgetCovariants applies MBsimplifyCovariants to reduce the number \
of operators to a minimal independent set.", "synonyms" -> {}, "title" -> 
    "MBgetFlavonPotential", "type" -> "Symbol", "uri" -> 
    "ModelBuilding/ref/MBgetInvariants"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Linux x86 (64-bit) (February 23, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7260, 193, 462, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->1180340191]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 20780, 661}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[613, 21, 76, 1, 3, "SymbolColorBar"],
Cell[692, 24, 209, 6, 19, "LinkTrail"],
Cell[904, 32, 5398, 129, 47, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[6327, 165, 63, 1, 53, "ObjectName",
 CellID->1224892054],
Cell[6393, 168, 830, 20, 138, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[7260, 193, 462, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1180340191],
Cell[CellGroupData[{
Cell[7747, 210, 149, 5, 33, "ExampleSection",
 CellID->1473465041],
Cell[7899, 217, 157, 5, 27, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[8081, 226, 183, 6, 27, "Input",
 CellID->2070045828],
Cell[CellGroupData[{
Cell[8289, 236, 147, 3, 23, "Print",
 CellID->1353426890],
Cell[8439, 241, 110, 2, 23, "Print",
 CellID->1376339118],
Cell[8552, 245, 306, 7, 58, "Print",
 CellID->1838838474],
Cell[8861, 254, 276, 7, 41, "Print",
 CellID->146324191],
Cell[9140, 263, 282, 7, 41, "Print",
 CellID->800363985],
Cell[9425, 272, 890, 23, 70, "Print",
 CellID->1621606042],
Cell[10318, 297, 1713, 44, 126, "Print",
 CellID->574825755]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12080, 347, 179, 5, 27, "Input",
 CellID->733653939],
Cell[12262, 354, 391, 14, 36, "Output",
 CellID->2026504309]
}, Open  ]],
Cell[12668, 371, 160, 4, 47, "ExampleText",
 CellID->1837233218],
Cell[CellGroupData[{
Cell[12853, 379, 82, 2, 27, "Input",
 CellID->1880393594],
Cell[12938, 383, 161, 5, 36, "Output",
 CellID->144275612]
}, Open  ]],
Cell[CellGroupData[{
Cell[13136, 393, 173, 4, 27, "Input",
 CellID->783630378],
Cell[CellGroupData[{
Cell[13334, 401, 92, 2, 23, "Print",
 CellID->1950239736],
Cell[13429, 405, 91, 2, 23, "Print",
 CellID->214298282]
}, Open  ]],
Cell[13535, 410, 1555, 50, 110, "Output",
 CellID->100988534]
}, Open  ]],
Cell[15105, 463, 154, 4, 33, "ExampleText",
 CellID->943591532],
Cell[CellGroupData[{
Cell[15284, 471, 191, 6, 27, "Input",
 CellID->1905502140],
Cell[15478, 479, 275, 9, 39, "Output",
 CellID->949669179]
}, Open  ]],
Cell[CellGroupData[{
Cell[15790, 493, 174, 4, 27, "Input",
 CellID->2014319392],
Cell[CellGroupData[{
Cell[15989, 501, 91, 2, 23, "Print",
 CellID->169051649],
Cell[16083, 505, 92, 2, 23, "Print",
 CellID->2000749286]
}, Open  ]],
Cell[16190, 510, 495, 16, 63, "Output",
 CellID->1058151153]
}, Open  ]],
Cell[16700, 529, 165, 4, 47, "ExampleText",
 CellID->1969676816],
Cell[CellGroupData[{
Cell[16890, 537, 82, 2, 27, "Input",
 CellID->1897714100],
Cell[16975, 541, 407, 12, 39, "Output",
 CellID->925585564]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17443, 560, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[17863, 574, 459, 14, 17, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[18359, 593, 420, 12, 45, "TutorialsSection",
 CellID->1908401893],
Cell[18782, 607, 312, 11, 18, "Tutorials",
 CellID->1440733233]
}, Open  ]],
Cell[19109, 621, 23, 0, 42, "FooterCell"]
}
]
*)

(* End of internal cache information *)

