(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     14970,        463]
NotebookOptionsPosition[     11614,        361]
NotebookOutlinePosition[     13602,        412]
CellTagsIndexPosition[     13517,        407]
WindowTitle->MBgetRepVector - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 StyleBox[ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:guide/Mathematica"],
  FontSlant->"Italic"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["MODELBUILDING PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"TutorialA4.nb\"\>":>
       Documentation`HelpLookup[
        If[
         StringMatchQ[
          StringReplace[{
            FrontEnd`FileName[{
              ParentDirectory[
               ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
             CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""], 
          "paclet*"], 
         Part[
          Part[{{"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1],
            2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ModelBuilding/ref/MBgetRepVector\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["ModelBuilding/ref/MBgetRepVector"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/ModelBuilding/ref/\
MBgetRepVector.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "ModelBuilding/ref/MBgetRepVector", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["MBgetRepVector", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"MBgetRepVector", "[", 
       RowBox[{"Group", ",", "Rep", ",", " ", "Head"}], "]"}]], 
      "InlineFormula"],
     " \[LineSeparator]MBgetRepVector returns a vector of representation Rep \
suitable for MBmultiply with variables starting with Head,"
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"MBgetRepVector", "[", 
       RowBox[{"Group", ",", "List"}], "]"}]], "InlineFormula"],
     " \[LineSeparator]MBgetRepVector returns a vector of a reducible \
representation suitable for MBmultiply where List is a list of pairs (Rep, \
Label), where Rep denotes the representation and Label labels the components. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"MBgetRepVector", "[", "Group"}]], "InlineFormula"],
     " \[LineSeparator]MBgetRepVector returns a list with one empty list for \
each representation."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, {None}}, "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->375557795],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->952280784],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->805278218],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1581260395],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1034307896],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1660531992],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1459045442],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1406956801],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->2012064438],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->343804742]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetRepVector", "[", 
  RowBox[{"A4", ",", "4", ",", "\[Chi]"}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->2027733727],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]1", ",", "\[Chi]2", ",", "\[Chi]3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 ImageSize->{219, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->2047684041]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellID->341631938]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"MBgetRepVector - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2011, 11, 8, 11, 25, 5.013942}", "context" -> 
    "ModelBuilding`", "keywords" -> {}, "index" -> True, "label" -> 
    "ModelBuilding Paclet Symbol", "language" -> "en", "paclet" -> 
    "ModelBuilding", "status" -> "None", "summary" -> 
    "MBgetRepVector[Group, Rep, Head] MBgetRepVector returns a vector of \
representation Rep suitable for MBmultiply with variables starting with \
Head,MBgetRepVector[Group, List] MBgetRepVector returns a vector of a \
reducible representation suitable for MBmultiply where List is a list of \
pairs (Rep, Label), where Rep denotes the representation and Label labels the \
components. MBgetRepVector[Group MBgetRepVector returns a list with one empty \
list for each representation.", "synonyms" -> {}, "title" -> "MBgetRepVector",
     "type" -> "Symbol", "uri" -> "ModelBuilding/ref/MBgetRepVector"}, 
  "LinkTrails" -> "", "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Linux x86 (64-bit) (February 23, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5418, 150, 461, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->375557795]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13374, 400}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[607, 21, 76, 1, 3, "SymbolColorBar"],
Cell[686, 24, 209, 6, 19, "LinkTrail"],
Cell[898, 32, 3267, 78, 47, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4190, 114, 57, 1, 53, "ObjectName",
 CellID->1224892054],
Cell[4250, 117, 1131, 28, 264, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5418, 150, 461, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->375557795],
Cell[CellGroupData[{
Cell[5904, 167, 148, 5, 33, "ExampleSection",
 CellID->952280784],
Cell[6055, 174, 157, 5, 27, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[6237, 183, 182, 6, 27, "Input",
 CellID->805278218],
Cell[CellGroupData[{
Cell[6444, 193, 147, 3, 23, "Print",
 CellID->1581260395],
Cell[6594, 198, 110, 2, 23, "Print",
 CellID->1034307896],
Cell[6707, 202, 306, 7, 58, "Print",
 CellID->1660531992],
Cell[7016, 211, 277, 7, 41, "Print",
 CellID->1459045442],
Cell[7296, 220, 283, 7, 41, "Print",
 CellID->1406956801],
Cell[7582, 229, 890, 23, 70, "Print",
 CellID->2012064438],
Cell[8475, 254, 1713, 44, 126, "Print",
 CellID->343804742]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10237, 304, 150, 4, 27, "Input",
 CellID->2027733727],
Cell[10390, 310, 388, 14, 36, "Output",
 CellID->2047684041]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10839, 331, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[11261, 345, 311, 11, 18, "Tutorials",
 CellID->341631938]
}, Open  ]],
Cell[11587, 359, 23, 0, 42, "FooterCell"]
}
]
*)

(* End of internal cache information *)

