(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     21111,        629]
NotebookOptionsPosition[     17755,        520]
NotebookOutlinePosition[     19387,        566]
CellTagsIndexPosition[     19302,        561]
WindowTitle->MBloadGeneratedGAPGroup - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Discrete/guide/Discrete"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["DISCRETE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {
       RowBox[{
        RowBox[{"{", "}"}], "\[LeftDoubleBracket]", "1", 
        "\[RightDoubleBracket]"}]:>Documentation`HelpLookup[
        If[
         StringMatchQ[
          Part[{}, 2], "paclet*"], 
         Part[
          Part[{{}, {}, {}, {"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{}, {}, {}, {"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1],
            2]]]], 
       RowBox[{
        RowBox[{"{", "}"}], "\[LeftDoubleBracket]", "1", 
        "\[RightDoubleBracket]"}]:>Documentation`HelpLookup[
        If[
         StringMatchQ[
          Part[{}, 2], "paclet*"], 
         Part[
          Part[{{}, {}, {}, {"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 2], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{}, {}, {}, {"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 2],
            2]]]], 
       RowBox[{
        RowBox[{"{", "}"}], "\[LeftDoubleBracket]", "1", 
        "\[RightDoubleBracket]"}]:>Documentation`HelpLookup[
        If[
         StringMatchQ[
          Part[{}, 2], "paclet*"], 
         Part[
          Part[{{}, {}, {}, {"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 3], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{}, {}, {}, {"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 3],
            2]]]], "\<\"TutorialA4.nb\"\>":>Documentation`HelpLookup[
        If[
         StringMatchQ[
          StringReplace[{
            FrontEnd`FileName[{
              ParentDirectory[
               ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
             CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""], 
          "paclet*"], 
         Part[
          Part[{{}, {}, {}, {"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 4], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{}, {}, {}, {"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 4],
            2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"MBloadGAPGroup\"\>":>
       Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBloadGAPGroup.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBloadGAPGroup", {"MBloadGAPGroup.nb", None}}, {
            "MBloadGAPSmallGroup, ", {"MBloadGAPSmallGroup.nb", None}}, {
            "MBloadGroupManually", {"MBloadGroupManually.nb", None}}}, 1], 2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBloadGAPGroup", {"MBloadGAPGroup.nb", None}}, {
             "MBloadGAPSmallGroup, ", {"MBloadGAPSmallGroup.nb", None}}, {
             "MBloadGroupManually", {"MBloadGroupManually.nb", None}}}, 1], 
           2]]]], "\<\"MBloadGAPSmallGroup, \"\>":>Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBloadGAPSmallGroup.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBloadGAPGroup", {"MBloadGAPGroup.nb", None}}, {
            "MBloadGAPSmallGroup, ", {"MBloadGAPSmallGroup.nb", None}}, {
            "MBloadGroupManually", {"MBloadGroupManually.nb", None}}}, 2], 2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBloadGAPGroup", {"MBloadGAPGroup.nb", None}}, {
             "MBloadGAPSmallGroup, ", {"MBloadGAPSmallGroup.nb", None}}, {
             "MBloadGroupManually", {"MBloadGroupManually.nb", None}}}, 2], 
           2]]]], "\<\"MBloadGroupManually\"\>":>Documentation`HelpLookup[
        If[
         StringMatchQ[{"MBloadGroupManually.nb", None}, "paclet*"], 
         Part[
          
          Part[{{"MBloadGAPGroup", {"MBloadGAPGroup.nb", None}}, {
            "MBloadGAPSmallGroup, ", {"MBloadGAPSmallGroup.nb", None}}, {
            "MBloadGroupManually", {"MBloadGroupManually.nb", None}}}, 3], 2], 
         StringJoin["paclet:", 
          Part[
           
           Part[{{"MBloadGAPGroup", {"MBloadGAPGroup.nb", None}}, {
             "MBloadGAPSmallGroup, ", {"MBloadGAPSmallGroup.nb", None}}, {
             "MBloadGroupManually", {"MBloadGroupManually.nb", None}}}, 3], 
           2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Discrete/ref/MBloadGeneratedGAPGroup\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Discrete/ref/MBloadGeneratedGAPGroup"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/Discrete/ref/\
MBloadGeneratedGAPGroup.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "Discrete/ref/MBloadGeneratedGAPGroup", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["MBloadGeneratedGAPGroup", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"MBloadGeneratedGAPGroup", "[", 
       RowBox[{"List", ",", "Options"}], "]"}]], "InlineFormula"],
     " \[LineSeparator]MBloadGeneratedGAPGroup loads the group generated by \
the elements of List."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1904420868],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->822293529],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->323990969],

Cell[BoxData[
 RowBox[{
  RowBox[{"S4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]}], ";", 
  RowBox[{"T4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->818755397],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Group", "=", 
   RowBox[{"MBloadGeneratedGAPGroup", "[", 
    RowBox[{"{", 
     RowBox[{"S4", ",", "T4"}], "}"}], "]"}]}], ";"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->2035187124],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating Group([[[0, 1, 0, 0], [1, 0, 0, 0], \
[0, 0, 0, -1], [0, 0, -1, 0]], [[0, 1, 0, 0], [0, 0, 1, 0], [1, 0, 0, 0], [0, \
0, 0, 1]]])...\"\>"], "Print",
 CellLabel->"During evaluation of In[3]:=",
 CellID->1707623977],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellLabel->"During evaluation of In[3]:=",
 CellID->117345682],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[3]:=",
 CellID->203139057],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[3]:=",
 CellID->917411541],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[3]:=",
 CellID->645697978],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[3]:=",
 CellID->195756472],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1"},
      {"1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1"},
      {"3", "0", "0", 
       RowBox[{"-", "1"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi), 1}, {1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi), 1}, {3, 0, 0, -1}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[3]:=",
 CellID->2137495441]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetStructureDescription", "[", "Group", "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->2073764904],

Cell[BoxData["\<\"A4\"\>"], "Output",
 ImageSize->{21, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->1785282941]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 StyleBox[ButtonBox["MBloadGAPGroup",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGAPGroup.nb", None}],
  FontFamily->"Verdana"],
 ", ",
 StyleBox[ButtonBox["MBloadGAPSmallGroup, ",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGAPSmallGroup.nb", None}],
  FontFamily->"Verdana"],
 StyleBox[ButtonBox["MBloadGroupManually",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGroupManually.nb", None}],
  FontFamily->"Verdana"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->514489869],

Cell["This function allows for two options:", "Tutorials",
 CellID->1784740454],

Cell["\<\
\"CheckUnitarity\" controls whether there is a check for unitarity of all \
representations. The default is False, as this check is expensive.\
\>", "Tutorials",
 CellID->222458952],

Cell["\<\
\"NumericalEvaluate\" forces the package to evaluate the Clebsch-Gordan \
coefficients numerically. The default is False.\
\>", "Tutorials",
 CellID->701400908]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"MBloadGeneratedGAPGroup - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2011, 11, 8, 11, 25, 33.852345}", "context" -> "Discrete`", 
    "keywords" -> {}, "index" -> True, "label" -> "Discrete Paclet Symbol", 
    "language" -> "en", "paclet" -> "Discrete", "status" -> "None", "summary" -> 
    "MBloadGeneratedGAPGroup[List, Options] MBloadGeneratedGAPGroup loads the \
group generated by the elements of List.", "synonyms" -> {}, "title" -> 
    "MBloadGeneratedGAPGroup", "type" -> "Symbol", "uri" -> 
    "Discrete/ref/MBloadGeneratedGAPGroup"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Linux x86 (64-bit) (February 23, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[9670, 251, 462, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->1904420868]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 19158, 554}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[616, 21, 76, 1, 3, "SymbolColorBar"],
Cell[695, 24, 182, 5, 19, "LinkTrail"],
Cell[880, 31, 8197, 195, 47, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[9102, 230, 66, 1, 53, "ObjectName",
 CellID->1224892054],
Cell[9171, 233, 462, 13, 87, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[9670, 251, 462, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1904420868],
Cell[CellGroupData[{
Cell[10157, 268, 148, 5, 33, "ExampleSection",
 CellID->822293529],
Cell[10308, 275, 157, 5, 27, "Input",
 CellID->323990969],
Cell[10468, 282, 916, 28, 45, "Input",
 CellID->818755397],
Cell[CellGroupData[{
Cell[11409, 314, 219, 7, 27, "Input",
 CellID->2035187124],
Cell[CellGroupData[{
Cell[11653, 325, 255, 4, 58, "Print",
 CellID->1707623977],
Cell[11911, 331, 109, 2, 23, "Print",
 CellID->117345682],
Cell[12023, 335, 305, 7, 58, "Print",
 CellID->203139057],
Cell[12331, 344, 276, 7, 41, "Print",
 CellID->917411541],
Cell[12610, 353, 282, 7, 41, "Print",
 CellID->645697978],
Cell[12895, 362, 889, 23, 70, "Print",
 CellID->195756472],
Cell[13787, 387, 1714, 44, 126, "Print",
 CellID->2137495441]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15550, 437, 126, 3, 27, "Input",
 CellID->2073764904],
Cell[15679, 442, 168, 5, 36, "Output",
 CellID->1785282941]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15908, 454, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[16328, 468, 480, 15, 17, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[16845, 488, 419, 12, 45, "TutorialsSection",
 CellID->514489869],
Cell[17267, 502, 79, 1, 18, "Tutorials",
 CellID->1784740454],
Cell[17349, 505, 191, 4, 31, "Tutorials",
 CellID->222458952],
Cell[17543, 511, 170, 4, 31, "Tutorials",
 CellID->701400908]
}, Open  ]],
Cell[17728, 518, 23, 0, 42, "FooterCell"]
}
]
*)

(* End of internal cache information *)

