(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23054,        742]
NotebookOptionsPosition[     19506,        629]
NotebookOutlinePosition[     21294,        677]
CellTagsIndexPosition[     21209,        672]
WindowTitle->MBsimplifyCovariants - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Discrete/guide/Discrete"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["DISCRETE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"TutorialA4.nb\"\>":>
       Documentation`HelpLookup[
        If[
         StringMatchQ[
          StringReplace[{
            FrontEnd`FileName[{
              ParentDirectory[
               ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
             CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""], 
          "paclet*"], 
         Part[
          Part[{{"TutorialA4.nb", 
             StringReplace[{
               FrontEnd`FileName[{
                 ParentDirectory[
                  ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1], 
          2], 
         StringJoin["paclet:", 
          Part[
           Part[{{"TutorialA4.nb", 
              StringReplace[{
                FrontEnd`FileName[{
                  ParentDirectory[
                   ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", 
                 CharacterEncoding -> "UTF-8"], None}, "paclet:" :> ""]}}, 1],
            2]]]]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Discrete/ref/MBsimplifyCovariants\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Discrete/ref/MBsimplifyCovariants"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/Discrete/ref/\
MBsimplifyCovariants.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "Discrete/ref/MBsimplifyCovariants", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["MBsimplifyCovariants", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"MBsimplifyCovariants", "[", "Operators", "]"}]], 
      "InlineFormula"],
     " \[LineSeparator]MBsimplifyCovariants[Operators] reduces a set of \
Operators to a smaller set by removing linearly dependent operators. Note \
that the normalization is changed by this function. This function is used by ",
     ButtonBox["MBgetCovariants",
      BaseStyle->"Hyperlink",
      ButtonData->{"MBgetCovariants.nb", None}],
     " and ",
     ButtonBox["MBgetFlavonPotential",
      BaseStyle->"Hyperlink",
      ButtonData->{"MBgetFlavonPotential.nb", None}],
     " ."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1860557003],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->349032733],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1586267271],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->2123496709],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->975864809],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1665405658],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1186620376],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->2004073372],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->840385502],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->498673378],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[1]:=",
 CellID->594968022]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Chi]", "=", 
   RowBox[{"MBgetRepVector", "[", 
    RowBox[{"A4", ",", "4", ",", "x"}], "]"}]}], ";"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->277193563],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lCov", "=", 
  RowBox[{"MBmultiply", "[", 
   RowBox[{"A4", ",", 
    RowBox[{"{", 
     RowBox[{"\[Chi]", ",", "\[Chi]", ",", "\[Chi]"}], "}"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->1587990466],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      SqrtBox["3"], " ", "x1", " ", "x2", " ", "x3"}], "}"}], "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x1", " ", 
        SuperscriptBox["x2", "2"]}], ",", 
       RowBox[{"x2", " ", 
        SuperscriptBox["x3", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x1", "2"], " ", "x3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x1", " ", 
        SuperscriptBox["x3", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x1", "2"], " ", "x2"}], ",", 
       RowBox[{
        SuperscriptBox["x2", "2"], " ", "x3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"x1", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["x1", "2"], "+", 
           SuperscriptBox["x2", "2"], "+", 
           SuperscriptBox["x3", "2"]}], ")"}]}], 
        SqrtBox["3"]], ",", 
       FractionBox[
        RowBox[{"x2", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["x1", "2"], "+", 
           SuperscriptBox["x2", "2"], "+", 
           SuperscriptBox["x3", "2"]}], ")"}]}], 
        SqrtBox["3"]], ",", 
       FractionBox[
        RowBox[{"x3", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["x1", "2"], "+", 
           SuperscriptBox["x2", "2"], "+", 
           SuperscriptBox["x3", "2"]}], ")"}]}], 
        SqrtBox["3"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "6"], " ", "x1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["x1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x3", "2"]}]}], ")"}]}], ",", 
       RowBox[{
        FractionBox["1", "6"], " ", "x2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
              SqrtBox["3"]}], ")"}]}], " ", 
           SuperscriptBox["x1", "2"]}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["x2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x3", "2"]}]}], ")"}]}], ",", 
       RowBox[{
        FractionBox["1", "6"], " ", "x3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
              SqrtBox["3"]}], ")"}]}], " ", 
           SuperscriptBox["x1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x2", "2"]}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["x3", "2"]}]}], ")"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "6"], " ", "x1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["x1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x3", "2"]}]}], ")"}]}], ",", 
       RowBox[{
        FractionBox["1", "6"], " ", "x2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
              SqrtBox["3"]}], ")"}]}], " ", 
           SuperscriptBox["x1", "2"]}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["x2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x3", "2"]}]}], ")"}]}], ",", 
       RowBox[{
        FractionBox["1", "6"], " ", "x3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
              SqrtBox["3"]}], ")"}]}], " ", 
           SuperscriptBox["x1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["x2", "2"]}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["x3", "2"]}]}], ")"}]}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 ImageSize->{509, 280},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->1629569856]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBsimplifyCovariants", "[", "lCov", "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->965248651],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"x1", " ", "x2", " ", "x3"}], "}"}], "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x1", "3"], 
        SqrtBox["3"]], ",", 
       FractionBox[
        SuperscriptBox["x2", "3"], 
        SqrtBox["3"]], ",", 
       FractionBox[
        SuperscriptBox["x3", "3"], 
        SqrtBox["3"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"x1", " ", 
         SuperscriptBox["x2", "2"]}], 
        SqrtBox["3"]], ",", 
       FractionBox[
        RowBox[{"x2", " ", 
         SuperscriptBox["x3", "2"]}], 
        SqrtBox["3"]], ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["x1", "2"], " ", "x3"}], 
        SqrtBox["3"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"x1", " ", 
         SuperscriptBox["x3", "2"]}], 
        SqrtBox["3"]], ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["x1", "2"], " ", "x2"}], 
        SqrtBox["3"]], ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["x2", "2"], " ", "x3"}], 
        SqrtBox["3"]]}], "}"}]}], "}"}]}], "}"}]], "Output",
 ImageSize->{445, 80},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->1933016245]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->2047509536],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellID->816771918]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["RELATED LINKS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "RelatedLinksSection",
 CellID->1584193535],

Cell[TextData[{
 ButtonBox["MBgetCovariants",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBgetCovariants.nb", None}],
 ", ",
 ButtonBox["MBgetFlavonPotential",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBgetFlavonPotential.nb", None}]
}], "RelatedLinks",
 CellID->1038487239]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"MBsimplifyCovariants - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2011, 11, 8, 11, 25, 44.876629}", "context" -> "Discrete`", 
    "keywords" -> {}, "index" -> True, "label" -> "Discrete Paclet Symbol", 
    "language" -> "en", "paclet" -> "Discrete", "status" -> "None", "summary" -> 
    "MBsimplifyCovariants[Operators] MBsimplifyCovariants[Operators] reduces \
a set of Operators to a smaller set by removing linearly dependent operators. \
Note that the normalization is changed by this function. This function is \
used by MBgetCovariants and MBgetFlavonPotential .", "synonyms" -> {}, 
    "title" -> "MBsimplifyCovariants", "type" -> "Symbol", "uri" -> 
    "Discrete/ref/MBsimplifyCovariants"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Linux x86 (64-bit) (February 23, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5097, 143, 462, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->1860557003]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 21065, 665}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[613, 21, 76, 1, 3, "SymbolColorBar"],
Cell[692, 24, 182, 5, 19, "LinkTrail"],
Cell[877, 31, 3266, 78, 47, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4168, 113, 63, 1, 53, "ObjectName",
 CellID->1224892054],
Cell[4234, 116, 826, 22, 121, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5097, 143, 462, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1860557003],
Cell[CellGroupData[{
Cell[5584, 160, 148, 5, 33, "ExampleSection",
 CellID->349032733],
Cell[5735, 167, 158, 5, 27, "Input",
 CellID->1586267271],
Cell[CellGroupData[{
Cell[5918, 176, 183, 6, 27, "Input",
 CellID->2123496709],
Cell[CellGroupData[{
Cell[6126, 186, 146, 3, 23, "Print",
 CellID->975864809],
Cell[6275, 191, 110, 2, 23, "Print",
 CellID->1665405658],
Cell[6388, 195, 306, 7, 58, "Print",
 CellID->1186620376],
Cell[6697, 204, 277, 7, 41, "Print",
 CellID->2004073372],
Cell[6977, 213, 282, 7, 41, "Print",
 CellID->840385502],
Cell[7262, 222, 889, 23, 70, "Print",
 CellID->498673378],
Cell[8154, 247, 1713, 44, 126, "Print",
 CellID->594968022]
}, Open  ]]
}, Open  ]],
Cell[9894, 295, 193, 6, 27, "Input",
 CellID->277193563],
Cell[CellGroupData[{
Cell[10112, 305, 238, 8, 27, "Input",
 CellID->1587990466],
Cell[10353, 315, 5956, 186, 301, "Output",
 CellID->1629569856]
}, Open  ]],
Cell[CellGroupData[{
Cell[16346, 506, 119, 3, 27, "Input",
 CellID->965248651],
Cell[16468, 511, 1460, 53, 101, "Output",
 CellID->1933016245]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17989, 571, 420, 12, 45, "TutorialsSection",
 CellID->2047509536],
Cell[18412, 585, 311, 11, 18, "Tutorials",
 CellID->816771918]
}, Open  ]],
Cell[CellGroupData[{
Cell[18760, 601, 427, 12, 45, "RelatedLinksSection",
 CellID->1584193535],
Cell[19190, 615, 274, 9, 18, "RelatedLinks",
 CellID->1038487239]
}, Open  ]],
Cell[19479, 627, 23, 0, 42, "FooterCell"]
}
]
*)

(* End of internal cache information *)

