(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12332,        356]
NotebookOptionsPosition[      8721,        260]
NotebookOutlinePosition[     10413,        307]
CellTagsIndexPosition[     10370,        304]
WindowTitle->Discrete Overview - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Discrete/guide/Discrete"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["DISCRETE PACKAGE OVERVIEW", "PacletNameCell"], Cell[TextData[Cell[
    BoxData[
     ActionMenuBox[
      FrameBox["\<\"URL \[RightGuillemet]\"\>",
       StripOnInput->False], {"\<\"Discrete/tutorial/DiscreteOverview\"\>":>
      None, "\<\"Copy Mathematica url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell["Discrete/tutorial/DiscreteOverview"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; Null], 
      Delimiter, "\<\"Copy web url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell[
             BoxData[
              MakeBoxes[
               Hyperlink[
               "http://reference.wolfram.com/mathematica/Discrete/tutorial/\
DiscreteOverview.html"], StandardForm]], "Input", TextClipboardType -> 
             "PlainText"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; 
       Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
        NotebookLocate[{
          URL[
           StringJoin[
           "http://reference.wolfram.com/mathematica/", 
            "Discrete/tutorial/DiscreteOverview", ".html"]], None}]}]},
      Appearance->None,
      MenuAppearance->Automatic]],
     LineSpacing->{1.4, 0}]], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["Discrete Overview", "TOCDocumentTitle"],

Cell[TextData[{
 ButtonBox[Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["A", "4"], " "}], TraditionalForm]], "InlineMath"],
  BaseStyle->"Link",
  ButtonData->"paclet:Discrete/tutorial/Example A4#509267359"],
 ButtonBox["Example given in accompanying paper",
  BaseStyle->"Link",
  ButtonData->"paclet:Discrete/tutorial/Example A4#509267359"]
}], "TOCChapter"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["Tutorial A4",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/tutorial/Tutorial A4#509267359"]], "TOCChapter"],

Cell[TextData[ButtonBox["Initialization",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Discrete/tutorial/Tutorial A4#143330639"]], "TOCSubsection"],

Cell[TextData[ButtonBox["Simple Calculations",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Discrete/tutorial/Tutorial A4#1019526329"]], "TOCSubsection"],

Cell[TextData[ButtonBox["Calculations with Clebsch-Gordan coefficients",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Discrete/tutorial/Tutorial A4#1615334985"]], "TOCSubsection"],

Cell[TextData[ButtonBox["Saving and Loading of the Group Data",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Discrete/tutorial/Tutorial A4#519827025"]], "TOCSubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["ReferencePages/Symbols",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/$MBGAP"]], "TOCChapter"],

Cell[TextData[ButtonBox["$MBGAP",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/$MBGAP"]], "TOCSection"],

Cell[TextData[ButtonBox["$MBPATH",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/$MBPATH"]], "TOCSection"],

Cell[TextData[ButtonBox["$MBVerbose",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/$MBVerbose"]], "TOCSection"],

Cell[TextData[ButtonBox["MBJoin",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBJoin"]], "TOCSection"],

Cell[TextData[ButtonBox["MBUnion",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBUnion"]], "TOCSection"],

Cell[TextData[ButtonBox["MBconvertGAPToMathematica",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBconvertGAPToMathematica"]], "TOCSection"],

Cell[TextData[ButtonBox["MBconvertMathematicaToGAP",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBconvertMathematicaToGAP"]], "TOCSection"],

Cell[TextData[ButtonBox["MBextractOneRep",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBextractOneRep"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetCGC",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetCGC"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetCGCcc",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetCGCcc"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetCharacterProduct",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetCharacterProduct"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetCharacterTable",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetCharacterTable"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetCovariants",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetCovariants"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetDimensionOfRep",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetDimensionOfRep"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetDimensionsOfReps",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetDimensionsOfReps"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetFlavonPotential",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetFlavonPotential"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetKroneckerProduct",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetKroneckerProduct"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetMajoranaMassMatrix",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetMajoranaMassMatrix"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetMassMatrix",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetMassMatrix"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetMultiplicity",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetMultiplicity"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetNumberOfReps",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetNumberOfReps"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetRepMatrices",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetRepMatrices"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetRepVector",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetRepVector"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetSizeOfGroup",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetSizeOfGroup"]], "TOCSection"],

Cell[TextData[ButtonBox["MBgetStructureDescription",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBgetStructureDescription"]], "TOCSection"],

Cell[TextData[ButtonBox["MBisUnitary",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBisUnitary"]], "TOCSection"],

Cell[TextData[ButtonBox["MBisUnitaryRep",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBisUnitaryRep"]], "TOCSection"],

Cell[TextData[ButtonBox["MBloadGAPGroup",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBloadGAPGroup"]], "TOCSection"],

Cell[TextData[ButtonBox["MBloadGAPSmallGroup",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBloadGAPSmallGroup"]], "TOCSection"],

Cell[TextData[ButtonBox["MBloadGeneratedGAPGroup",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBloadGeneratedGAPGroup"]], "TOCSection"],

Cell[TextData[ButtonBox["MBloadGroupManually",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBloadGroupManually"]], "TOCSection"],

Cell[TextData[ButtonBox["MBmultiply",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBmultiply"]], "TOCSection"],

Cell[TextData[ButtonBox["MBsimplifyCovariants",
 BaseStyle->"Link",
 ButtonData->"paclet:Discrete/ref/MBsimplifyCovariants"]], "TOCSection"]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Discrete Overview - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2011, 11, 8, 11, 25, 59.635666}", "context" -> "Discrete`", 
    "keywords" -> {}, "index" -> True, "label" -> "Discrete Package Overview",
     "language" -> "en", "paclet" -> "Discrete Package", "status" -> "None", 
    "summary" -> 
    "A_4 Example given in accompanying paper Tutorial A4 \
ReferencePages/Symbols", "synonyms" -> {}, "title" -> "Discrete Overview", 
    "type" -> "Overview", "uri" -> "Discrete/tutorial/DiscreteOverview"}, 
  "LinkTrails" -> "", "SearchTextTranslated" -> ""},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Linux x86 (64-bit) (February 23, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[610, 21, 76, 1, 3, "SymbolColorBar"],
Cell[689, 24, 182, 5, 19, "LinkTrail"],
Cell[874, 31, 1913, 42, 47, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[2812, 77, 45, 0, 48, "TOCDocumentTitle"],
Cell[2860, 79, 369, 10, 46, "TOCChapter"],
Cell[CellGroupData[{
Cell[3254, 93, 137, 2, 26, "TOCChapter"],
Cell[3394, 97, 146, 3, 19, "TOCSubsection"],
Cell[3543, 102, 152, 3, 19, "TOCSubsection"],
Cell[3698, 107, 178, 3, 19, "TOCSubsection"],
Cell[3879, 112, 168, 3, 19, "TOCSubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4084, 120, 128, 2, 46, "TOCChapter"],
Cell[4215, 124, 112, 2, 28, "TOCSection"],
Cell[4330, 128, 114, 2, 22, "TOCSection"],
Cell[4447, 132, 120, 2, 22, "TOCSection"],
Cell[4570, 136, 112, 2, 22, "TOCSection"],
Cell[4685, 140, 114, 2, 22, "TOCSection"],
Cell[4802, 144, 150, 2, 22, "TOCSection"],
Cell[4955, 148, 150, 2, 22, "TOCSection"],
Cell[5108, 152, 130, 2, 22, "TOCSection"],
Cell[5241, 156, 116, 2, 22, "TOCSection"],
Cell[5360, 160, 120, 2, 22, "TOCSection"],
Cell[5483, 164, 142, 2, 22, "TOCSection"],
Cell[5628, 168, 138, 2, 22, "TOCSection"],
Cell[5769, 172, 130, 2, 22, "TOCSection"],
Cell[5902, 176, 138, 2, 22, "TOCSection"],
Cell[6043, 180, 142, 2, 70, "TOCSection"],
Cell[6188, 184, 140, 2, 70, "TOCSection"],
Cell[6331, 188, 142, 2, 70, "TOCSection"],
Cell[6476, 192, 146, 2, 70, "TOCSection"],
Cell[6625, 196, 130, 2, 70, "TOCSection"],
Cell[6758, 200, 134, 2, 70, "TOCSection"],
Cell[6895, 204, 134, 2, 70, "TOCSection"],
Cell[7032, 208, 132, 2, 70, "TOCSection"],
Cell[7167, 212, 128, 2, 70, "TOCSection"],
Cell[7298, 216, 132, 2, 70, "TOCSection"],
Cell[7433, 220, 150, 2, 70, "TOCSection"],
Cell[7586, 224, 122, 2, 70, "TOCSection"],
Cell[7711, 228, 128, 2, 70, "TOCSection"],
Cell[7842, 232, 128, 2, 70, "TOCSection"],
Cell[7973, 236, 138, 2, 70, "TOCSection"],
Cell[8114, 240, 146, 2, 70, "TOCSection"],
Cell[8263, 244, 138, 2, 70, "TOCSection"],
Cell[8404, 248, 120, 2, 70, "TOCSection"],
Cell[8527, 252, 140, 2, 70, "TOCSection"]
}, Open  ]]
}, Open  ]],
Cell[8694, 258, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

